Skip to content

Connect a verification service with the workspace's own API key

POST
/api/v1/workspaces/{workspace}/verification/services
curl --request POST \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/verification/services \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "apiKey": "example", "defaultBulk": true, "defaultForms": true, "price": 1, "region": "us", "service": "zerobounce" }'

Permission: integrations:manage (sensitive)

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

Media typeapplication/json
object
apiKey
required
string
>= 8 characters <= 500 characters
defaultBulk
required
boolean
defaultForms
required
boolean
price
required

Price per check in dollars

number format: double
<= 10
region
string
Allowed values: us eu ""
service
required
string
Allowed values: zerobounce kickbox neverbounce bouncer emailable

Created

Media typeapplication/json
object
balance
integer format: int64
balanceAt
string format: date-time
bulkUses30d
required
integer format: int64
capabilities
required
object
bulkLists
required
boolean
catchAll
required
boolean
creditBalance
required
boolean
dataRegion
required
boolean
realTime
required
boolean
checks30d
required
integer format: int64
connected
required
boolean
connectedAt
string format: date-time
connectedBy
string
defaultBulk
required
boolean
defaultForms
required
boolean
down
required
boolean
initials
required
string
key
required
string
Allowed values: zerobounce kickbox neverbounce bouncer emailable
keyHelp
required
string
lastError
string
lastErrorAt
string format: date-time
lastErrorSince
string format: date-time
lastSuccessAt
string format: date-time
lastSuccessWhat
string
lastUsedAt
string format: date-time
lastUsedBy
string
lastUsedWhat
string
mappings
required
Array<object>
object
codes
required
Array<string>
reason
string
result
required
string
Allowed values: valid invalid risky unknown
tag
string
name
required
string
needed
integer format: int64
neededLabel
string
pausedJob
string
price
required

Price per check in dollars, from the workspace’s plan

number format: double
priceBy

Who entered the price

string
region
required
string
regionLabel
required
string
regions
required
Array<object>
object
key
required
string
label
required
string
spent30d
required
number format: double
status
required
string
Allowed values: not_connected connected low_credits error
testOk
boolean
testedAt
string format: date-time
website
required
string

Example

{
"key": "zerobounce",
"mappings": [
{
"result": "valid"
}
],
"status": "not_connected"
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}